Subject: [os2genau_digest] No. 2059
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 13 Jun 2011 00:00:20 WST-8WST,10,1,0,7200,4,1,0,7200,0

**************************************************
Sunday 12 June 2011
 Number  2059
**************************************************

Subjects for today
 
1  Re:  eCS2.1 : madodel <madodel at ptdprolog dot net>
2  Re:  eCS2.1 : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 11 Jun 2011 10:25:57 -0400
From:  madodel <madodel at ptdprolog dot net>
Subject:  Re:  eCS2.1

Alan Duval wrote:
> Hi,
> 
> Has anyone installed eCS2.1? If so are there any problems with the 
> installation?
> I've downloaded it a couple of weeks ago but haven't got around to 
> installing it.
> Not sure whether it uses Airboot or whether that's for the next edition.
> 

It will only use Airboot if it doesn't detect BootManager or you specify to 
use it in the install.  I haven't tried Airboot yet, but I have used it in 
the past a long time ago.  I've installed eCS 2.1 on my Thinkpad T61.  I 
tried a migration install from eCS 2.0GA, but the "Screen" object was 
missing and there was no way to change the video resolution.  Other then 
that the migration seemed to work OK the little that I played with it with 
the previous desktop created with everything except the screen object. 
There are ways to recreate the Screen object but I moved on without trying it.

Next I did a clean install which is what I usually do.  I didn't try the 
new AHCI driver, just the regular DANIS driver.  For the most part the 
install went fine.  It correctly used GenMac for my Intel 3940 A/B/G 
wireless chipset, and the Intel Gigabit driver for the ethernet chipset. 
I've heard though that because of licesing problems not all the Genmac 
windows drivers could be included so you may have to reinstall genmac after 
the install if you have one of those.  It used Uniaud for sound, but as 
with all previous versions I have to use a CMD batch file to initiate the 
sound card.  Video works fine with the Panorama driver getting wide screen 
1680x1050 display.  SNAP is still available if you have an older video 
chipset that is supportd by it, but with this T61 I know Pnorama is a 
better choice.  Default is to not install ACPI so I selected that in the 
installation since APM doesn't work on this machine.  ACPI works for SMP 
support on my dual core CPU.  For some reason the "Suspend" option is 
missing from the eButton menu, but since the ACPI 3.18 that comes with eCS 
2.1 doesn't suspend myT61 not a big deal yet.  I reported it on the eCS 
bugtracker.  Next I tried installing ACPI 3.19 (which does Suspend on my 
T61) but that trapped.  I reported that and there is a fixed ACPI on the 
Mensys BetaZone downloads area for it which now works.  Unfortunately with 
ACPI 3.19 the new Power Manager utility doesn't work so I am using "CPU 
Speed" to throttle the CPUs.  I'm still working on reporting that. I'm 
using Roman Stangl's APM2 from hobbes to suspend.  Only other thing is that 
on Resume the wifi didn't work, which was the case with all previous 
versions under eCS 2.0.  Workaround for that is to REM out ACPIDAEMON.EXE 
in the config.sys and run it from startup.cmd.  Now Suspend/Resume work 
perfectly.

Anything specific you have questions about?

Mark
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Sun, 12 Jun 2011 21:41:47 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  eCS2.1

On 6/12/2011 12:25 AM, madodel wrote:
> Alan Duval wrote:
>> Hi,
>>
>> Has anyone installed eCS2.1? If so are there any problems with the 
>> installation?
>> I've downloaded it a couple of weeks ago but haven't got around to 
>> installing it.
>> Not sure whether it uses Airboot or whether that's for the next edition.
>>
>
> It will only use Airboot if it doesn't detect BootManager or you 
> specify to use it in the install.  I haven't tried Airboot yet, but I 
> have used it in the past a long time ago.  I've installed eCS 2.1 on 
> my Thinkpad T61.  I tried a migration install from eCS 2.0GA, but the 
> "Screen" object was missing and there was no way to change the video 
> resolution.  Other then that the migration seemed to work OK the 
> little that I played with it with the previous desktop created with 
> everything except the screen object. There are ways to recreate the 
> Screen object but I moved on without trying it.
>
> Next I did a clean install which is what I usually do.  I didn't try 
> the new AHCI driver, just the regular DANIS driver.  For the most part 
> the install went fine.  It correctly used GenMac for my Intel 3940 
> A/B/G wireless chipset, and the Intel Gigabit driver for the ethernet 
> chipset. I've heard though that because of licesing problems not all 
> the Genmac windows drivers could be included so you may have to 
> reinstall genmac after the install if you have one of those.  It used 
> Uniaud for sound, but as with all previous versions I have to use a 
> CMD batch file to initiate the sound card.  Video works fine with the 
> Panorama driver getting wide screen 1680x1050 display.  SNAP is still 
> available if you have an older video chipset that is supportd by it, 
> but with this T61 I know Pnorama is a better choice.  Default is to 
> not install ACPI so I selected that in the installation since APM 
> doesn't work on this machine.  ACPI works for SMP support on my dual 
> core CPU.  For some reason the "Suspend" option is missing from the 
> eButton menu, but since the ACPI 3.18 that comes with eCS 2.1 doesn't 
> suspend myT61 not a big deal yet.  I reported it on the eCS 
> bugtracker.  Next I tried installing ACPI 3.19 (which does Suspend on 
> my T61) but that trapped.  I reported that and there is a fixed ACPI 
> on the Mensys BetaZone downloads area for it which now works.  
> Unfortunately with ACPI 3.19 the new Power Manager utility doesn't 
> work so I am using "CPU Speed" to throttle the CPUs.  I'm still 
> working on reporting that. I'm using Roman Stangl's APM2 from hobbes 
> to suspend.  Only other thing is that on Resume the wifi didn't work, 
> which was the case with all previous versions under eCS 2.0.  
> Workaround for that is to REM out ACPIDAEMON.EXE in the config.sys and 
> run it from startup.cmd.  Now Suspend/Resume work perfectly.
>
> Anything specific you have questions about?
>
> Mark
Thanks Mark,

I will be installing it on my desktop PC.  Mainly concerned about 
AirBoot.  I have 2 SATA hard drives. One has WIN 7 and Linux Mint on it 
and the other has eCS 2.0. I select the disk I want via BIOS. I don't 
think AirBoot will be a problem but will disconnect the HD containing 
WIN 7 and Linux Mint when I do the install.

Regards,

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===